API Reference

Detailed and full API reference helps you master Tekla development

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

PolycurveGeometryBuilder Class

The polycurve geometry builder class is in charge of building the geometry list of a polycurve. All the geometries that the builder connects must be connected on the correct end points. The builder has a fluent interface, and can be used as follows:
using Tekla.Structures.Geometry3d;
using Tekla.Structures.Model;

public class Example
{
    static void Main(string[] args)
    {
        var segment = new LineSegment(new Point(0, 0, 0), new Point(1000, 0, 0));
        var arc = new Arc(new Point(1000, 0, 0), new Point(2000, 1000, 0), new Point(1707.1, 292.89, 0));

        var geometryList = new PolycurveGeometrySolver().Append(arc).Append(segment).GetPolycurve();

        var polycurve = new ControlPolycurve();
        polycurve.Geometry = geometryList;
        polycurve.Insert();
    }
}
Inheritance Hierarchy
SystemObject
  Tekla.Structures.Geometry3dPolycurveGeometryBuilder

Namespace:  Tekla.Structures.Geometry3d
Assembly:  Tekla.Structures (in Tekla.Structures.dll) Version: 2020.0.0.0 (2020.0.55582.0)
Syntax
[SerializableAttribute]
public class PolycurveGeometryBuilder

The PolycurveGeometryBuilder type exposes the following members.

Constructors
  Name Description
Public method PolycurveGeometryBuilder
Creates an empty geometry builder. This builder contains no geometries
Public method PolycurveGeometryBuilder(Polycurve)
Constructs a geometry builder from an existing geometry list
Top
Methods
  Name Description
Public method Append(Arc)
Appends an arc to the geometry list
Public method Append(LineSegment)
Appends a line segment to the geometry list
Public method Append(Polycurve)
Appends another polycurve to the geometry list
Public method AppendArc
Appends an arc using three points. The first point is taken as the last point of the last element of the polycurve.
Public method AppendSegment
Appends an line segment. The first point is taken as the last point of the last element of the polycurve.
Public method AppendTangentArc
Appends an arc tangent to the last curve of the curve list.
Public method AppendTangentSegment
Appends a line segment of the given length tangent to the last curve of the list.
Public method GetPolycurve
Gets the final geometry after all the modifications made by the builder
Public method Prepend(Arc)
Prepends an arc to the geometry list
Public method Prepend(LineSegment)
Prepends a line segment to the geometry list
Public method PrependArc
Prepends an arc using three points. The last point is taken as the start point of the first element of the polycurve.
Public method PrependSegment
Prepends an line segment. The last point is taken as the start point of the first element of the polycurve.
Public method PrependTangentArc
Prepends an arc tangent to the first curve of the curve list.
Public method PrependTangentSegment
Prepends a line segment of the given length tangent to the first curve of the list.
Public method Replace(Int32, Arc)
Replaces the geometry at a given index
Public method Replace(Int32, LineSegment)
Replaces the geometry at a given index
Top
See Also